org.icefaces.ace.component.gmap

## Enum GMapBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<GMapBase.PropertyKeys>
  - - org.icefaces.ace.component.gmap.GMapBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GMapBase.PropertyKeys>
  Enclosing class:
    GMapBase

      protected static enum GMapBase.PropertyKeys
      extends java.lang.Enum<GMapBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `address`
    `intialized`
    `latitude`
    `locateAddress`
    `longitude`
    `oldLatitude`
    `oldLongitude`
    `oldType`
    `oldZoomLevel`
    `options`
    `style`
    `styleClass`
    `type`
    `zoomLevel`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static GMapBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GMapBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### address

          public static final GMapBase.PropertyKeys address

    - #### intialized

          public static final GMapBase.PropertyKeys intialized

    - #### latitude

          public static final GMapBase.PropertyKeys latitude

    - #### locateAddress

          public static final GMapBase.PropertyKeys locateAddress

    - #### longitude

          public static final GMapBase.PropertyKeys longitude

    - #### options

          public static final GMapBase.PropertyKeys options

    - #### style

          public static final GMapBase.PropertyKeys style

    - #### styleClass

          public static final GMapBase.PropertyKeys styleClass

    - #### type

          public static final GMapBase.PropertyKeys type

    - #### zoomLevel

          public static final GMapBase.PropertyKeys zoomLevel

    - #### oldLatitude

          public static final GMapBase.PropertyKeys oldLatitude

    - #### oldLongitude

          public static final GMapBase.PropertyKeys oldLongitude

    - #### oldType

          public static final GMapBase.PropertyKeys oldType

    - #### oldZoomLevel

          public static final GMapBase.PropertyKeys oldZoomLevel

  - ### Method Detail

    - #### values

          public static GMapBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GMapBase.PropertyKeys c : GMapBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GMapBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<GMapBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.